<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>PS2 controller TRX: C:/Users/XW8400/Documents/ps2_ctrl_trx/hal/src/timer.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">PS2 controller TRX
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('timer_8c.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">timer.c File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="timer_8h_source.html">timer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n76_e003_8h_source.html">N76E003.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad15612b07958b7bcf43b91f9d378a01d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="timer_8c.html#ad15612b07958b7bcf43b91f9d378a01d">TIMER0_RELOAD_VALUE</a>&#160;&#160;&#160;65536 - F_SYS / (1000 * 12)</td></tr>
<tr class="memdesc:ad15612b07958b7bcf43b91f9d378a01d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer 0 reload value.  <br /></td></tr>
<tr class="separator:ad15612b07958b7bcf43b91f9d378a01d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae7baa75d6559961b77a31efba86056f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="timer_8c.html#aae7baa75d6559961b77a31efba86056f">TIMER_TL0</a>&#160;&#160;&#160;<a class="el" href="_function___define_8h.html#af6817ccf1e31b6660084d8a622ff65cc">LOBYTE</a>(<a class="el" href="timer_8c.html#ad15612b07958b7bcf43b91f9d378a01d">TIMER0_RELOAD_VALUE</a>)</td></tr>
<tr class="memdesc:aae7baa75d6559961b77a31efba86056f"><td class="mdescLeft">&#160;</td><td class="mdescRight">TL0 value (lower byte of reload value)  <br /></td></tr>
<tr class="separator:aae7baa75d6559961b77a31efba86056f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a999daf7fb1f0329f97f4e70f6ec68744"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="timer_8c.html#a999daf7fb1f0329f97f4e70f6ec68744">TIMER_TH0</a>&#160;&#160;&#160;<a class="el" href="_function___define_8h.html#a2925c644e420fbfacc52c672a2c39fa0">HIBYTE</a>(<a class="el" href="timer_8c.html#ad15612b07958b7bcf43b91f9d378a01d">TIMER0_RELOAD_VALUE</a>)</td></tr>
<tr class="memdesc:a999daf7fb1f0329f97f4e70f6ec68744"><td class="mdescLeft">&#160;</td><td class="mdescRight">TH0 value (upper byte of reload value)  <br /></td></tr>
<tr class="separator:a999daf7fb1f0329f97f4e70f6ec68744"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a288b92940b4cfda667b882048f51469c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="timer_8c.html#a288b92940b4cfda667b882048f51469c">TIMER0_RELOAD</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#ac948201508da14c3dd841a908e4887c3">TH0</a> = <a class="el" href="timer_8c.html#a999daf7fb1f0329f97f4e70f6ec68744">TIMER_TH0</a>; <a class="el" href="_n76_e003_8h.html#a4799f8e8c0ba4de147d572a57599dc16">TL0</a> = <a class="el" href="timer_8c.html#aae7baa75d6559961b77a31efba86056f">TIMER_TL0</a></td></tr>
<tr class="memdesc:a288b92940b4cfda667b882048f51469c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reload Timer 0 using (pre)calculated values in TIMER_TL0 and TIMER_TH0.  <br /></td></tr>
<tr class="separator:a288b92940b4cfda667b882048f51469c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7b8ab79df77b57475a5494f5f81c3bd9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="timer_8c.html#a7b8ab79df77b57475a5494f5f81c3bd9">timer_init</a> (void)</td></tr>
<tr class="memdesc:a7b8ab79df77b57475a5494f5f81c3bd9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize timer 0.  <br /></td></tr>
<tr class="separator:a7b8ab79df77b57475a5494f5f81c3bd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38f6b26709f63ee6ed0c2494138496be"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="timer_8c.html#a38f6b26709f63ee6ed0c2494138496be">timer0_isr</a> (void)</td></tr>
<tr class="memdesc:a38f6b26709f63ee6ed0c2494138496be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interrupt service routine (ISR) for timer 0 overflow.  <br /></td></tr>
<tr class="separator:a38f6b26709f63ee6ed0c2494138496be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a0474b624c9c20efde212ff2753da9f69"><td class="memItemLeft" align="right" valign="top">volatile unsigned long xdata&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="timer_8c.html#a0474b624c9c20efde212ff2753da9f69">timer_ticks</a> = 0</td></tr>
<tr class="memdesc:a0474b624c9c20efde212ff2753da9f69"><td class="mdescLeft">&#160;</td><td class="mdescRight">System ticks (in mS)  <br /></td></tr>
<tr class="separator:a0474b624c9c20efde212ff2753da9f69"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a288b92940b4cfda667b882048f51469c" name="a288b92940b4cfda667b882048f51469c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a288b92940b4cfda667b882048f51469c">&#9670;&#160;</a></span>TIMER0_RELOAD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER0_RELOAD&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#ac948201508da14c3dd841a908e4887c3">TH0</a> = <a class="el" href="timer_8c.html#a999daf7fb1f0329f97f4e70f6ec68744">TIMER_TH0</a>; <a class="el" href="_n76_e003_8h.html#a4799f8e8c0ba4de147d572a57599dc16">TL0</a> = <a class="el" href="timer_8c.html#aae7baa75d6559961b77a31efba86056f">TIMER_TL0</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reload Timer 0 using (pre)calculated values in TIMER_TL0 and TIMER_TH0. </p>

</div>
</div>
<a id="ad15612b07958b7bcf43b91f9d378a01d" name="ad15612b07958b7bcf43b91f9d378a01d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad15612b07958b7bcf43b91f9d378a01d">&#9670;&#160;</a></span>TIMER0_RELOAD_VALUE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER0_RELOAD_VALUE&#160;&#160;&#160;65536 - F_SYS / (1000 * 12)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Timer 0 reload value. </p>
<dl class="section note"><dt>Note</dt><dd>Reload value = 65536 - F_CPU (Hz) * duration (sec) / 12 </dd></dl>

</div>
</div>
<a id="a999daf7fb1f0329f97f4e70f6ec68744" name="a999daf7fb1f0329f97f4e70f6ec68744"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a999daf7fb1f0329f97f4e70f6ec68744">&#9670;&#160;</a></span>TIMER_TH0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_TH0&#160;&#160;&#160;<a class="el" href="_function___define_8h.html#a2925c644e420fbfacc52c672a2c39fa0">HIBYTE</a>(<a class="el" href="timer_8c.html#ad15612b07958b7bcf43b91f9d378a01d">TIMER0_RELOAD_VALUE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TH0 value (upper byte of reload value) </p>

</div>
</div>
<a id="aae7baa75d6559961b77a31efba86056f" name="aae7baa75d6559961b77a31efba86056f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae7baa75d6559961b77a31efba86056f">&#9670;&#160;</a></span>TIMER_TL0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_TL0&#160;&#160;&#160;<a class="el" href="_function___define_8h.html#af6817ccf1e31b6660084d8a622ff65cc">LOBYTE</a>(<a class="el" href="timer_8c.html#ad15612b07958b7bcf43b91f9d378a01d">TIMER0_RELOAD_VALUE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TL0 value (lower byte of reload value) </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a38f6b26709f63ee6ed0c2494138496be" name="a38f6b26709f63ee6ed0c2494138496be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38f6b26709f63ee6ed0c2494138496be">&#9670;&#160;</a></span>timer0_isr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void timer0_isr </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Interrupt service routine (ISR) for timer 0 overflow. </p>

</div>
</div>
<a id="a7b8ab79df77b57475a5494f5f81c3bd9" name="a7b8ab79df77b57475a5494f5f81c3bd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b8ab79df77b57475a5494f5f81c3bd9">&#9670;&#160;</a></span>timer_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void timer_init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize timer 0. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a0474b624c9c20efde212ff2753da9f69" name="a0474b624c9c20efde212ff2753da9f69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0474b624c9c20efde212ff2753da9f69">&#9670;&#160;</a></span>timer_ticks</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile unsigned long xdata timer_ticks = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>System ticks (in mS) </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b116ddd94a245d490f1483cfe96d55a6.html">ps2_ctrl_trx</a></li><li class="navelem"><a class="el" href="dir_a5db744503d12202ec64e5e5d49b6402.html">hal</a></li><li class="navelem"><a class="el" href="dir_55622dcc6be75b5b10467287de8909f9.html">src</a></li><li class="navelem"><a class="el" href="timer_8c.html">timer.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6 </li>
  </ul>
</div>
</body>
</html>
